# Interface Starter

interface Starter {
abilityIndex : number;
dexAttr : bigint;
moveset ?: StarterMoveset ;
nature : Nature ;
passive : boolean;
pokerus : boolean;
species : default ;
}

- Defined in src/ui/starter-select-ui-handler.ts:39

#####
Index

### Properties

abilityIndex
dexAttr
moveset?
nature
passive
pokerus
species

## Properties

### abilityIndex

abilityIndex: number

- Defined in src/ui/starter-select-ui-handler.ts:42

### dexAttr

dexAttr: bigint

- Defined in src/ui/starter-select-ui-handler.ts:41

### `Optional` moveset

moveset?: StarterMoveset

- Defined in src/ui/starter-select-ui-handler.ts:45

### nature

nature: Nature

- Defined in src/ui/starter-select-ui-handler.ts:44

### passive

passive: boolean

- Defined in src/ui/starter-select-ui-handler.ts:43

### pokerus

pokerus: boolean

- Defined in src/ui/starter-select-ui-handler.ts:46

### species

species: default

- Defined in src/ui/starter-select-ui-handler.ts:40